Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 198816 - Review Request: gfs-utils - global file system userland utilities
Summary: Review Request: gfs-utils - global file system userland utilities
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-07-13 20:20 UTC by Chris Feist
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 21:15:31 UTC


Attachments (Terms of Use)

Description Chris Feist 2006-07-13 20:20:40 UTC
Spec URL: http://people.redhat.com/cfeist/gfs-utils.spec
SRPM URL: http://people.redhat.com/cfeist/gfs-utils-0.1.0-0.fc6.0.src.rpm
Description: This package provides the userland utilities for GFS (Global File System) version 1.  mkfs, fsck, etc.

Comment 1 Ralf Corsepius 2006-07-14 08:16:02 UTC
You spec contains this:

if ["$1" = 0 ]; then

This is invalid /bin/sh syntax. There must be a blank after the '['.


Comment 3 Parag AN(पराग) 2006-07-15 06:53:46 UTC
Mock build failed for rawhide i386
main.c:29:26: error: libvolume_id.h: No such file or directory

You Need to add libvolume_id-devel in BuildRequires



Comment 4 Chris Feist 2006-07-17 19:12:22 UTC
Fixed that as well. (libvolume_id.h BuildRequire)

New files are here:
http://people.redhat.com/cfeist/gfs-utils.spec
http://people.redhat.com/cfeist/gfs-utils-0.1.0-0.fc6.2.src.rpm

Comment 5 Jason Tibbitts 2006-07-21 02:47:58 UTC
Chris, I don't see you in the cvsextras group.  Do you require sponsorship?  See
http://fedoraproject.org/wiki/Extras/HowToGetSponsored for more information.

Comment 6 Chris Feist 2006-09-29 20:14:02 UTC
Jason,

Yes I do need sponsorship for this package.  Can you sponsor me?

Comment 7 Jason Tibbitts 2006-09-29 22:01:23 UTC
I can, but would need to look over this and your other submissions first.  I
hope to have some time to spend on extras reviews over the next couple of days.

Comment 8 Ruben Kerkhof 2007-01-22 23:11:47 UTC
Hi Chris,

Since you've been sponsored by jkatz, I'll remove the FE-NEEDSPONSOR blocker.

I've found a few things though:

rpmlint of gfs-utils is not silent:
W: gfs-utils incoherent-version-in-changelog 0.1.0-0.fc6.0 0.1.0-0.fc6.2
W: gfs-utils service-default-enabled /etc/rc.d/init.d/gfs
E: gfs-utils missing-mandatory-lsb-tag Description
E: gfs-utils missing-mandatory-lsb-tag Short-Description
W: gfs-utils incoherent-init-script-name gfs

The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)

Scriptlets: missing "service" in %preun (wiki: ScriptletSnippets)
Scriptlets: missing "service" in %postun (wiki: ScriptletSnippets)

* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* No downloadable source. Please give the full URL in the Source tag.

Please don't hardcode the distro in Release, use %dist

Comment 9 Ruben Kerkhof 2007-02-03 21:29:39 UTC
Ping?

Comment 10 Chris Feist 2007-02-21 21:51:35 UTC
I've updated the package.  I don't know what 'missing-mandatory-lsb-tag' means
and can't find any documentation on how to fix those errors.  All other errors
should be fixed.  There is no central location for the gfs-utils-0.1.11.tar.gz
script, it's pulled directly out of cvs which is found at
sources.redhat.com/cluster/

http://people.redhat.com/cfeist/gfs-utils-0.1.11-3.src.rpm

Let me know what else I need for this rpm.


Comment 11 Ruben Kerkhof 2007-02-21 23:19:02 UTC
Thanks Chris,

> E: gfs-utils missing-mandatory-lsb-tag Description
> E: gfs-utils missing-mandatory-lsb-tag Short-Description

Those errors are about the init file
rpmlint checks that file for tags between

### BEGIN INIT INFO

and 

### END INIT INFO

The checks are defined in /usr/share/rpmlint/InitScriptCheck.py

A few new rpmlint warnings have popped up:

[ruben@odin i386]$ rpmlint gfs-utils-0.1.11-3.i386.rpm 
W: gfs-utils dangling-relative-symlink /sbin/mount.gfs mount.gfs2
W: gfs-utils dangling-relative-symlink /sbin/umount.gfs umount.gfs2

[ruben@odin i386]$ rpmlint gfs-utils-debuginfo-0.1.11-3.i386.rpm 
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/log.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/fs_dir.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/util.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/inode.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/fs_bits.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/rgrp.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/file.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/fs_bmap.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/bitmap.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/fs_inode.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/block_list.c
W: gfs-utils-debuginfo spurious-executable-perm /usr/src/debug/gfs-0.1.11/libgfs/bio.c

Comment 12 Ruben Kerkhof 2007-03-23 08:07:05 UTC
Hi Chris,

Please respond, or I'll have to close this ticket in a week.

Comment 13 Ruben Kerkhof 2007-04-04 21:15:31 UTC
Sorry, I'll have to close this review.


Note You need to log in before you can comment on or make changes to this bug.